Skip to main content
GET
/
v2
/
annotation-queues
/
{annotation_queue_id}
Get an annotation queue
curl --request GET \
  --url https://api.arize.com/v2/annotation-queues/{annotation_queue_id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "aq_abc123",
  "name": "Quality Review Queue",
  "space_id": "spc_xyz789",
  "instructions": "Review each response for accuracy and helpfulness",
  "annotation_configs": [
    {
      "id": "ac_001",
      "name": "accuracy",
      "type": "continuous",
      "space_id": "spc_xyz789",
      "minimum_score": 0,
      "maximum_score": 10,
      "optimization_direction": "maximize",
      "created_at": "2024-01-10T08:00:00Z"
    },
    {
      "id": "ac_002",
      "name": "sentiment",
      "type": "categorical",
      "space_id": "spc_xyz789",
      "values": [
        {
          "label": "positive",
          "score": 1
        },
        {
          "label": "neutral",
          "score": 0
        },
        {
          "label": "negative",
          "score": -1
        }
      ],
      "optimization_direction": "maximize",
      "created_at": "2024-01-10T08:00:00Z"
    }
  ],
  "created_at": "2024-01-15T10:30:00Z",
  "updated_at": "2024-01-20T14:45:00Z"
}

Authorizations

Authorization
string
header
required

Most Arize AI endpoints require authentication. For those endpoints that require authentication, include your API key in the request header using the format

Path Parameters

annotation_queue_id
string
required

The unique identifier of the annotation queue A universally unique identifier

Response

An annotation queue object

id
string
required

The unique identifier for the annotation queue

Example:

"aq_abc123"

name
string
required

The name of the annotation queue

Example:

"Quality Review Queue"

space_id
string
required

The space id the annotation queue belongs to

Example:

"spc_xyz789"

created_at
string<date-time>
required

The timestamp for when the annotation queue was created

Example:

"2024-01-15T10:30:00Z"

updated_at
string<date-time>
required

The timestamp for when the annotation queue was last updated

Example:

"2024-01-20T14:45:00Z"

instructions
string | null

The instructions for the annotation queue

Example:

"Review each response for accuracy and helpfulness"

annotation_configs
object[]

The annotation configs associated with this queue

Example:
[
{
"id": "ac_001",
"name": "accuracy",
"type": "continuous",
"space_id": "spc_xyz789",
"minimum_score": 0,
"maximum_score": 10,
"optimization_direction": "maximize",
"created_at": "2024-01-10T08:00:00Z"
},
{
"id": "ac_002",
"name": "sentiment",
"type": "categorical",
"space_id": "spc_xyz789",
"values": [
{ "label": "positive", "score": 1 },
{ "label": "neutral", "score": 0 },
{ "label": "negative", "score": -1 }
],
"optimization_direction": "maximize",
"created_at": "2024-01-10T08:00:00Z"
}
]